Bug 765582 - (GLUSTER-3850) unable to create striped replicated volume
unable to create striped replicated volume
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.2.5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 09:24 EST by Juri Malinovski
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-12-07 07:02:52 EST
Hi Juri,

This feature is present only in 3.3.x release tree (which is current master branch in git). So, what you saw is a expected behavior). Currently there are no plans of backporting that behavior to 3.2.x branch.
Comment 1 Juri Malinovski 2011-12-07 09:24:04 EST
Centos6 2.6.32-71.29.1.el6.x86_64 
Installed software
glusterfs-core-3.2.5-2.el6.x86_64.rpm
glusterfs-fuse-3.2.5-2.el6.x86_64.rpm
glusterfs-geo-replication-3.2.5-2.el6.x86_64.rpm 
glusterfs-rdma-3.2.5-2.el6.x86_64.rpm

/etc/hosts
10.33.100.191   vm5
10.33.100.192   vm6

[vm5 ~]# gluster peer status
Number of Peers: 1

Hostname: vm6
Uuid: 314d04f6-e9d5-4d75-be1d-c91b55b0a1b7
State: Peer in Cluster (Connected)

[vm5 ~]# gluster volume create test-volume stripe 2 replica 2 transport tcp vm5:/exp1 vm6:/exp5 vm5:/exp2 vm6:/exp6
wrong brick type: replica, use <HOSTNAME>:<export-dir-abs-path>
Usage: volume create <NEW-VOLNAME> [stripe <COUNT>] [replica <COUNT>] [transport <tcp|rdma|tcp,rdma>] <NEW-BRICK> ...
Comment 2 Juri Malinovski 2011-12-08 04:45:21 EST
(In reply to comment #1)
> Hi Juri,
> 
> This feature is present only in 3.3.x release tree (which is current master
> branch in git). So, what you saw is a expected behavior). Currently there are
> no plans of backporting that behavior to 3.2.x branch.

Seems that this feature presents in documentation for stable 3.2 version
http://download.gluster.com/pub/gluster/glusterfs/3.2/Documentation/AG/html/sect-Administration_Guide--Setting_Volumes-Distributed_Striped_Replicated.html

Note You need to log in before you can comment on or make changes to this bug.